@function colWidth($columns, $gap) {
   @return calc((100% / #{$columns}) - ((#{$gap} * (#{$columns} - 1)) / #{$columns}))
}

@function clr($name) {
   @return map-get($colors, $name);
}

@mixin mq($screen, $isMin) {
   @if $isMin {
      @media (min-width: map-get($container, $screen)) {
         @content
      }
   }

   @else {
      @media (max-width: map-get($container, $screen)) {
         @content
      }
   }
}


@mixin text($size: 14px,
   $weight: 400,
   $textTransform: initial,
   $fontFamily: sans-serif) {
   font-size: $size;
   font-weight: $weight;
   text-transform: $textTransform;
   font-family: $fontFamily;
   color: $col-yellow;
}

@mixin flex($horiz: center, $vert: stretch) {
   display: flex;
   justify-content: $horiz;
   align-items: $vert;
}

@mixin pseudo($location: after, $content: '', $position: absolute) {
   position: relative;

   &::#{$location} {
      content: $content;
      position: $position;
      @content;
   }
}

@mixin grid($name, $colsAmount, $gap) {
   @for $i from 1 through $colsAmount {
      .#{$name}-#{$i} {
         flex: 0 0 calc(100% / (#{$colsAmount} / #{$i}) - #{$gap});
      }

      .#{$name}-ol-#{$i} {
         margin-left: calc(100% / (#{$colsAmount} / #{$i}) - #{$gap});
      }

      .#{$name}-or-#{$i} {
         margin-left: calc(100% / (#{$colsAmount} / #{$i}) - #{$gap});
      }
   }
}